- [HTTP request](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/replaceJob#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/replaceJob#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/replaceJob#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/replaceJob#body.request_body)
- [Response body](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/replaceJob#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/replaceJob#body.aspect)

Replace a job.

Only the spec and metadata labels and annotations are modifiable. After the Replace request, Cloud Run will work to make the 'status' match the requested 'spec'.

May provide metadata.resourceVersion to enforce update from last read for optimistic concurrency control.

### HTTP request

`PUT https://run.googleapis.com/apis/run.googleapis.com/v1/{name}`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the job being replaced. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID It takes the form `namespaces/{namespace}/jobs/{job}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `run.jobs.update` |

### Query parameters

| Parameters ||
|---|---|
| `dryRun` | `string` Optional. Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs#Job`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs#Job`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).